/*global $ loadup loadUpKeyboardDefaults*/
function setupInputs() {
    var inputs = $('input.keyboard-input');
    console.log("Inputs", inputs);
    for (var i = 0; i < inputs.length; i++){
        console.log(inputs[i]);
        console.log($(inputs)[i]);
        var id = $(inputs[i]).attr('id');
        loadUpKeyboardDefaults(id);
    }

}

function getProduct() {
    return  {
        ip: getIP(),
        hosts: getSubHosts(),
        producttype: getType(),
        port: getPort(),
        name: getName(),
        url: getURL()
    };
}


function getIP() {
    var octets = [];
    var octetInputs = $(".ip-octet");

    for (var i = 0; i < octetInputs.length; i++) {
        octets.push($(octetInputs[i]).val());
    }

    return octets.join(".");
}

function getPort() {
    return $("#product-port").val();
}

function getSubHosts() {
    var subproducts = $("#product-type-row input.sub-product[value='enabled']");
    var hostList = [];
    for (var x = 0; x < subproducts.length; x++) {
        var host;
        var productType = $(subproducts[x]).attr('data-subproduct-type');

        if (productType.length > 0) {
            host =  {
                ip: getIP(),
                producttype: productType,
                port: getPort(),
                name: productType,
                url: getURL()
            };
         
            hostList.push(host);
        }
    }
    return hostList;
 
}

function getType() {
    return $("#product-type").val();
}

function getName() {
    return $("#product-name").val();
}


function getURL() {
    return $("#product-url").val();
}

