/*global $*/
$(document).ready(function() {
    $(".setpoint-next").on('click', function() {
        showNextPage(this);
    });

    $(".setpoint-prev").on('click', function() {
        showPrevPage(this);
    });

});

function showPage(element) {
    if ( $(element).length == 0) {
        return;
    }
    $(element).siblings(".curr-page").removeClass("curr-page").hide();
    
    $(element).addClass("curr-page").show();
    if ($(element).prev().length == 0) {
        $(element).parents(".sub-content-container").next(".button-container").children(".setpoint-prev").hide();
    } else {
        $(element).parents(".sub-content-container").next(".button-container").children(".setpoint-prev").show();
    }

    if ($(element).next().length == 0) {
        $(element).parents(".sub-content-container").next(".button-container").children(".setpoint-next").hide();
    } else {
        $(element).parents(".sub-content-container").next(".button-container").children(".setpoint-next").show();
    }

}

function showNextPage(element) {
    showPage($(element).parent().prev(".sub-content-container").find(".curr-page").first().next());
}

function showPrevPage(element) {
    showPage($(element).parent().prev(".sub-content-container").find(".curr-page").first().prev());
}


