/*global $ loadUpKeyboardDefaults showLoading hideLoading displayStatusModal*/
$(document).ready(function(){
    $('.dropdown').find("li").click(function(){
        var dropdown = $(this).parents('.dropdown, .dropup');
        var value = $(this).attr("data-dropdown-value");
        var input = $(dropdown).siblings('input');
        $(input).val(value);

        $(dropdown).children('.dropdown-toggle').text($(this).text());
        $(dropdown).children('.dropdown-toggle').trigger('change');

    });

    setupInputs();

    $.keyboard.keyaction.enter = function(base) {
        var value = base.$preview.val();
        var input = base.el;
        base.close();

        if(value.includes('&')) {
            dispError(error,
                illegalAnd);
            return;
        }

        $(input).val(value);
    };
});


function getUser() {
    return  {
        firstname: $("#first-name").val(),
        lastname: $("#last-name").val(),
        email: $("#email").val(),
        phone: $("#phone").val(),
        carrier: $("#carrier").val(),
        seclevel: parseInt($("#level").val()),
        pin: $("#pin").val()
    };
}


function setupInputs() {
    var inputs = $('input.keyboard-input');
    for (var i = 0; i < inputs.length; i++){
        var id = $(inputs[i]).attr('id');
        loadUpKeyboardDefaults(id);

    }
}

function submitUser(settings) {
    var user = getUser();
    showLoading();
    $.ajax({
        method: settings.method,
        url: settings.url,
        data: JSON.stringify(user),
        success: function(data, textStatus, jqXHR) {
            hideLoading();
            displayStatusModal({
                title: data.Header,
                onClose: function() {
                    window.location = "/security/users";
                },
                show: true
            });
        },
        error: function(jqXHR, textStatus, errorThrown) {
            var response = jqXHR.responseJSON;
            displayStatusModal({
                title: response.Header,
                body: response.Message
            });
            hideLoading();
        }

    });
}

function validateEmail() {
  var $email = $("#email");

  var $tester = $("<input>");
  $tester.attr("type", "email");
  $tester.attr("class", "input-temp");
  $tester.val($email.val());

  var valid = $tester[0].checkValidity();

  $tester.remove();

  return valid;
}
